Skip to main content

Initiates the deployment of a component identified by catalog_id.

POST 

/api/v2/deploy/start/:catalog_id

Triggers the deployment process for the specified component, either through the agent or a third-party installer. Returns the deployment information including status and progress.

Request

Path Parameters

    catalog_id stringrequired

    Catalog ID of the component to deploy

Responses

Schema

    catalogId stringrequired
    completedAt date-timenullable
    currentTime date-timenullable
    deviceId stringrequired
    eta int64nullable
    messageLog stringnullable
    progress int32nullable
    requestedStatus object
    startedAt date-timenullable
    status object
    stoppedAt date-timenullable
    type ItemTyperequired

    Possible values: [software, map, cache]

Loading...